Submit confirmation
curl --request POST \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"status": true,
"message": "Onboarding confirmation submitted successfully",
"data": {
"customerId": "18d2f159-e0cd-4a45-b735-e9dfe0f7520a",
"case": {
"id": "71d6b5ac-6312-43eb-b389-789d214bbda2",
"businessId": "ad1a5189-f47d-4201-9f77-b01c9d9c0270",
"customerId": "18d2f159-e0cd-4a45-b735-e9dfe0f7520a",
"providerId": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"subjectType": "customer",
"status": "approved",
"mode": "api_only",
"feature": "offramp",
"providerReference": "provider_customer_839201",
"createdAt": "2026-07-22T12:00:00.000Z",
"updatedAt": "2026-07-22T12:15:00.000Z"
}
}
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}When required
Submit confirmation
Send the completed confirmation form in data. Use the schema returned by Get confirmation requirements.
POST
/
v1
/
customers
/
{customerId}
/
onboarding-requests
/
{caseId}
/
confirmation
Submit confirmation
curl --request POST \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/confirmation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"status": true,
"message": "Onboarding confirmation submitted successfully",
"data": {
"customerId": "18d2f159-e0cd-4a45-b735-e9dfe0f7520a",
"case": {
"id": "71d6b5ac-6312-43eb-b389-789d214bbda2",
"businessId": "ad1a5189-f47d-4201-9f77-b01c9d9c0270",
"customerId": "18d2f159-e0cd-4a45-b735-e9dfe0f7520a",
"providerId": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"subjectType": "customer",
"status": "approved",
"mode": "api_only",
"feature": "offramp",
"providerReference": "provider_customer_839201",
"createdAt": "2026-07-22T12:00:00.000Z",
"updatedAt": "2026-07-22T12:15:00.000Z"
}
}
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}Send the completed confirmation form in
data. Use the schema returned by Get confirmation requirements.
Check the returned case status before continuing.Authorizations
Path Parameters
Customer identifier.
Customer onboarding case identifier.
Body
application/json
The body is of type object.

